Subject: Madison Park Harper Quilt Set - Washing Question
From: <[email-masked]>
To: <[email-masked]>
Date: Fri, 4 Mar 2022 13:00:29 -0600

Good afternoon!

I recently purchased two Madison Park Harper Quilt Sets, both
King/California King size, and wanted to know if they can be dry cleaned?
My standard size washing machine has an agitator in the center and it's
taller, not a lower profile agitator, and I'm worried about it spinning too
much, even on the gentle cycle. Any tips you can give me would be great!
I'm excited about getting all the new bedding washing and ready to put on!

Thank you! 

 

Marlene